Foxit PDF SDK

Instance Methods | Properties | List of all members
FSRenditionAction Class Reference
Inheritance diagram for FSRenditionAction:

## Instance Methods
(FSRendition *) | - getRendition:
| Get a rendition by index. More...
(int) | - getRenditionCount
| Get the count of rendition objects. More...
(id) | - initWithAction:
| Constructor, with parent class object. More...
(void) | - insertRendition:index:
| Insert a rendition to current rendition action, at the position specified by index. More...
(void) | - removeRendition:
| Remove a rendition object from current rendition action. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
NSString * | javaScript
| Get or Set the JavaScript script to be executed. More...
FSRenditionActionOperationType | operationType
| Get or Set the operation type of current rendition action when being triggered. More...
FSScreen * | screenAnnot
| Get or Set the related screen annotation.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Rendition action is to control the playing of multimedia content. (For more details, please refer to <PDF Reference 1.7> P668 "Rendition Actions") Class FSRenditionAction is derived from FSAction and offers functions to get/set rendition action data.

See also
  FSAction

## Method Documentation

## ◆ getRendition:()

- (FSRendition *) getRendition: |  | (int) | index |

Get a rendition by index.

Parameters

  [in] | index | Index of rendition object to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSRenditionAction::getRenditionCount.

Returns
  A rendition object.

## ◆ getRenditionCount()

- (int) getRenditionCount |  |  |

Get the count of rendition objects.

Returns
  The count of rendition objects.

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## ◆ insertRendition:index:()

- (void) insertRendition: |  | (FSRendition*) | rendition
index: |  | (int) | index

Insert a rendition to current rendition action, at the position specified by index.

Rendition object is necessary for a rendition action when operation type is FSRenditionActionOpTypeAssociate or FSRenditionActionOpTypeAssociate.

Parameters

  [in] | rendition | A rendition object to be inserted.
  [in] | index | Index that specifies where to insert the rendition object. If index is below 0 or bigger than (count-1), the input rendition will be inserted to be the end. count is returned by function FSRenditionAction::getRenditionCount.

Returns
  None.

## ◆ removeRendition:()

- (void) removeRendition: |  | (FSRendition*) | rendition |

Remove a rendition object from current rendition action.

Parameters

  [in] | rendition | A rendition object to be removed from current rendition action.

Returns
  None.

## Property Documentation

## ◆ javaScript

- (NSString *) javaScript
| read write nonatomic weak

Get or Set the JavaScript script to be executed.

As a useful rendition action, it should contain a JavaScript script to be executed or is specified an operation type to be performed when triggered. If both JavaScript script and operation type exist, application should execute JavaScript; if application is unable to execute JavaScript script, then perform as operation type defines. If no JavaScript script and operation type is invalid, that means the action is invalid.

## ◆ operationType

- (FSRenditionActionOperationType) operationType
| read write nonatomic assign

Get or Set the operation type of current rendition action when being triggered.

As a useful rendition action, it should contain a JavaScript script to be executed or is specified an operation type to be performed when triggered. If both JavaScript script and operation type exist, application should execute JavaScript; if application is unable to execute JavaScript script, then perform as operation type defines. If no JavaScript script and operation type is invalid, that means the action is invalid.